Package: org.codehaus.groovy.transform

## [Java] Class FieldASTTransformation

- org.codehaus.groovy.transform.FieldASTTransformation

- All Implemented Interfaces and Traits:
    ASTTransformation, org.objectweb.asm.Opcodes

      @GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
      public class FieldASTTransformation
      extends ClassCodeExpressionTransformer

  Handles transformation for the

  Field:
    annotation.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.codehaus.groovy.control.SourceUnit` | `getSourceUnit()`
    `` | `Expression` | `transform(Expression expr)`
    `` | `void` | `visit(ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)`
    `` | `void` | `visitClosureExpression(ClosureExpression expression)`
    `` | `void` | `visitConstructorCallExpression(ConstructorCallExpression cce)`
    `` | `void` | `visitExpressionStatement(ExpressionStatement es)`
    `` | `void` | `visitMethod(MethodNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassCodeExpressionTransformer` | `transform, visitAnnotations, visitAssertStatement, visitCaseStatement, visitConstructorOrMethod, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitProperty, visitReturnStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitWhileLoop`
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### protected org.codehaus.groovy.control.SourceUnit getSourceUnit()

    - #### @Override public Expression transform(Expression expr)

    - #### public void visit(ASTNode[] nodes, org.codehaus.groovy.control.SourceUnit source)

    - #### @Override public void visitClosureExpression(ClosureExpression expression)

    - #### @Override public void visitConstructorCallExpression(ConstructorCallExpression cce)

    - #### @Override public void visitExpressionStatement(ExpressionStatement es)

    - #### @Override public void visitMethod(MethodNode node)